odf.odf2xhtml Namespace Reference

## Classes

class | ODF2XHTML
| The ODF2XHTML parses an ODF file and produces XHTML. More...
class | ODF2XHTMLembedded
| The ODF2XHTML parses an ODF file and produces XHTML. More...
class | StyleToCSS
| The purpose of the StyleToCSS class is to contain the rules to convert ODF styles to CSS2. More...
class | TagStack

## Variables

dictionary | special_styles

## Variable Documentation

dictionary odf.odf2xhtml.special_styles

Initial value:
= {
'S-Emphasis':'em',
'S-Citation':'cite',
'S-Strong_20_Emphasis':'strong',
'S-Variable':'var',
'S-Definition':'dfn',
'S-Teletype':'tt',
'P-Heading_20_1':'h1',
'P-Heading_20_2':'h2',
'P-Heading_20_3':'h3',
'P-Heading_20_4':'h4',
'P-Heading_20_5':'h5',
'P-Heading_20_6':'h6',
# 'P-Caption':'caption',
'P-Addressee':'address',
# 'P-List_20_Heading':'dt',
# 'P-List_20_Contents':'dd',
'P-Preformatted_20_Text':'pre',
# 'P-Table_20_Heading':'th',
# 'P-Table_20_Contents':'td',
# 'P-Text_20_body':'p'
}

Definition at line 332 of file odf2xhtml.py.